# 32/64bit spec-file
#
%define	name	lives
%define	version	2.6.3
%define	release	%mkrel 1

Summary: A video editor and VJ tool
Name:    %{name}
Version: %{version}
Release: %{release}
Summary: A video editor and VJ tool
License: GPL
Group:   Video
Source: http://lives.sourceforge.net/LiVES-%{version}.tar.xz
URL: http://lives.sourceforge.net
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
#-----------------------------------------------
BuildRequires: bison
BuildRequires: imagemagick
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dv-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}fftw-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}mjpegtools-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}pth-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}raw1394-devel
BuildRequires: %{_lib}schroedinger-devel
BuildRequires: %{_lib}v4l-devel
BuildRequires: %{_lib}visual-devel
#-----------------------------------------------
Requires:	mplayer mencoder sox imagemagick
Requires:	cdrecord-cdda2wav
Requires:	xset
Requires:	dvgrab
Requires:	xwininfo
Requires:	libvisual-plugins
Obsoletes:	%{name} < %version

%description
LiVES is aimed at the digital video artist who wants to
create their own content, the video editor who wants to
produce professional looking video, and the VJ who wants
to captivate with spectacular images.

%description -l de
Linux Video bearbeiten System Das Linux-Video bearbeiten System
(LiVES) soll ein einfaches, aber dennoch leistungsfähiges Video
Schnitt und Effekte System darstellen. Es verwendet allgemeine
Werkzeuge für die meisten seiner Arbeiten (Mplayer, ImageMagick,
GTK, sox).

%package devel
Summary:     Lives devel package
Group:       Development/Libraries
Requires:    %name = %version
Obsoletes:   libweed-devel
Provides:    libweed-devel

%description devel
LiVES is aimed at the digital video artist who wants to
create their own content, the video editor who wants to
produce professional looking video, and the VJ who wants
to captivate with spectacular images.

%description devel -l de
Entwicklerpaket von Lives.
Lives richtet sich an den digitalen Video Künstler, erstellen
Sie Ihren eigenen Inhalt, der Video-Editor, zum produzieren von
professionell aussehenden Videos und der VJ, der mit spektakulären
Bildern verzaubern möchte.


%prep
%setup -q
%apply_patches

%build
%define _disable_ld_no_undefined 1
%configure2_5x --disable-static --enable-threads=posix --disable-OSC
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#%__install -d "%{buildroot}%{_datadir}/applications"
#%__install -d "%{buildroot}%{_datadir}/pixmaps"

desktop-file-install --vendor=""\
  --remove-category="Application" \
  --remove-category="Multimedia-Video" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
  
# fix icon  
sed -i -e s/lives.xpm/lives/g $RPM_BUILD_ROOT%{_datadir}/applications/LiVES.desktop

# icons
mkdir -p %{buildroot}/%{_iconsdir}
mv %{buildroot}/usr/share/app-install/icons/lives.png	%{buildroot}/%{_iconsdir}/%{name}.png

# fix symlink
rm -rf $RPM_BUILD_ROOT/%{_bindir}/lives
ln -s lives-exe $RPM_BUILD_ROOT/%{_bindir}/lives

# don't ship .a or .la
find %{buildroot} -name '*.a' | xargs rm -f
find %{buildroot} -name '*.la' | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%docdir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/*
%{_bindir}/*
%{_datadir}/applications/LiVES.desktop
%{_iconsdir}/%{name}.png
%{_datadir}/lives/default.keymap
%{_datadir}/lives/icons/*g
%{_datadir}/lives/themes/*
%{_datadir}/lives/plugins/*
%{_datadir}/locale/*
%{_datadir}/pixmaps/lives.xpm
%{_libdir}/lives/plugins/*
%{_libdir}/libweed.so.*
%{_libdir}/libweed_slice.so.*
%{_datadir}/lives/resources/vidtest.avi
%{_libdir}/libweed*.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/weed
%{_includedir}/weed/*.h
%{_libdir}/libweed*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun May 22 2016 bb <bb> 2.6.3-1pclos2016
- update

* Fri Mar 11 2016 bb <bb> 2.4.8-1pclos2016
- update

* Tue Jan 19 2016 bb <bb> 2.4.7-1pclos2016
- update

* Sun Dec 20 2015 bb <bb> 2.4.6-1pclos2015
- update

